From de108e69b5d33c881074b0a04697d7061684f823 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Wed, 15 Jan 2020 23:10:29 -0600
Subject: [PATCH v1] Doc review for ANALYZE progress (a166d408)

---
 doc/src/sgml/monitoring.sgml | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index 8b44fb1..10871b7 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -3525,7 +3525,7 @@ SELECT pg_stat_get_backend_pid(s.backendid) AS pid,
   <para>
    Whenever <command>ANALYZE</command> is running, the
    <structname>pg_stat_progress_analyze</structname> view will contain a
-   row for each backend that is currently running that command.  The tables
+   row for each backend currently running <command>ANALYZE</command>.  The tables
    below describe the information that will be reported and provide
    information about how to interpret it.
   </para>
@@ -3635,7 +3635,7 @@ SELECT pg_stat_get_backend_pid(s.backendid) AS pid,
     <row>
      <entry><literal>initializing</literal></entry>
      <entry>
-       The command is preparing to begin scanning the heap.  This phase is
+       The command is preparing to scan the heap.  This phase is
        expected to be very brief.
      </entry>
     </row>
@@ -3643,7 +3643,7 @@ SELECT pg_stat_get_backend_pid(s.backendid) AS pid,
      <entry><literal>acquiring sample rows</literal></entry>
      <entry>
        The command is currently scanning the table given by
-       <structfield>current_relid</structfield> to obtain sample rows.
+       <structfield>relid</structfield> to obtain sample rows.
      </entry>
     </row>
     <row>
@@ -3659,14 +3659,14 @@ SELECT pg_stat_get_backend_pid(s.backendid) AS pid,
     <row>
      <entry><literal>computing statistics</literal></entry>
      <entry>
-       The command is computing statistics from the samples rows obtained during
+       The command is computing statistics from the sample rows obtained during
        the table scan.
      </entry>
     </row>
     <row>
      <entry><literal>computing extended statistics</literal></entry>
      <entry>
-       The command is computing extended statistics from the samples rows obtained
+       The command is computing extended statistics from the sample rows obtained
        durring the table scan.
      </entry>
     </row>
-- 
2.7.4

